Package org.eclipse.mat.parser.internal.snapshot

## Class ObjectCache<E>

- java.lang.Object
- - org.eclipse.mat.parser.internal.snapshot.ObjectCache<E>

    public abstract class ObjectCache<E>
    extends java.lang.Object

### Constructor Summary

Constructors
`ObjectCache​(int maxSize)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()`
`E` `get​(int objectId)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ObjectCache

    public ObjectCache​(int maxSize)

### Method Detail

#### get

    public E get​(int objectId)

#### clear

    public void clear()